var mailclassifierColId="mailclassifierCol";
var observerService =Components.classes["@mozilla.org/observer-service;1"].getService(Components.interfaces.nsIObserverService);

var mcColumnHandler = {
   getCellText:         function(row, column) {
      	if(column==mailclassifierColId || column.id==mailclassifierColId){
		fol=controller.getFirstMessageClassification(gDBView.getURIForViewIndex(row));
		if(!fol) return "";
		return fol.name;
	}
	return "";
   },
   getSortStringForRow: function(hdr) {
	var uri = hdr.folder.getUriForMsg(hdr);
	var fol=controller.getFirstMessageClassification(uri);
	if(fol) return fol.name;
	return "";
   },
   isString:            function() {return true;},

   getCellProperties:   function(row, col, props){},
   getRowProperties:    function(row, props){},
   getImageSrc:         function(row, col) {return null;},
   getSortLongForRow:   function(hdr) {return 0;}
}

function addMCColumnHandler() {
   gDBView.addColumnHandler(mailclassifierColId, mcColumnHandler);
}

var mcDbObserver = {
  // Components.interfaces.nsIObserver
  observe: function(aMsgFolder, aTopic, aData)
  {  
     addMCColumnHandler();
  }
}

function mcWindowLoaded() {
  observerService.addObserver(mcDbObserver, "MsgCreateDBView", false);
}

window.addEventListener("load", mcWindowLoaded, false);

